DEMANGLE(1)

NAME
demangle - Desfai a mutilación dos nomes dos símbolos de C++

SYNOPSIS

demangle

DESCRICIóN

demangle le unha lista de nomes de símbolos de C++ mutilados desde a entrada estándar e convérteos a unha forma lexíbel na saída estándar.

Esta utilidade forma parte do Kit de Desenvolvimento de Sóftware de KDE.

EXEMPLO

Crie un ficheiro chamado nomes que conteña os seguintes nomes codificados de símbolos:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Estes nomes poden ser recuperados como segue:

    example$ demangle < nomes Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

CONSULTE TAMéN

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.